Search:

# CWIS Developers Documentation

- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# SystemConfiguration Class Reference

List of all members.

## Public Member Functions
| SystemConfiguration ($DB=NULL)
| TopLinkString ($NewValue=NULL)
| TopLinkBeginLetter ($NewValue=NULL)
| TopLinkEndLetter ($NewValue=NULL)
| AdminEmail ($NewValue=NULL)
| PasswordMailSubject ($NewValue=NULL)
| PasswordMailBody ($NewValue=NULL)
| PasswordResetMailSubject ($NewValue=DB_NOVALUE)
| PasswordResetMailBody ($NewValue=DB_NOVALUE)
| PortalName ($NewValue=NULL)
| DefaultActiveUI ($NewValue=NULL)
| CurrentTheme ($NewValue=NULL)
| DefaultCharacterSet ($NewValue=NULL)
| SearchTermsRequired ($NewValue=NULL)
| AnnouncementsEnabled ($NewValue=NULL)
| ForumsEnabled ($NewValue=NULL)
| AllowMultipleUIsEnabled ($NewValue=NULL)
| ResourceLaunchesNewWindowEnabled ($NewValue=NULL)
| UserAgentsEnabled ($NewValue=NULL)
| ResourceRatingsEnabled ($NewValue=NULL)
| ResourceCommentsEnabled ($NewValue=NULL)
| AccessibilityWizardEnabled ($NewValue=NULL)
| ReleaseFlagApproved ($NewValue=NULL)
| SearchDBEnabled ($NewValue=NULL)
| RecommenderDBEnabled ($NewValue=NULL)
| OAISQEnabled ($NewValue=NULL)
| NumAnnounceOnHomePage ($NewValue=NULL)
| NumResourcesOnHomePage ($NewValue=NULL)
| LegalNotice ($NewValue=NULL)
| NumClassesPerBrowsePage ($NewValue=NULL)
| NumColumnsPerBrowsePage ($NewValue=NULL)
| BrowsingFieldId ($NewValue=NULL)
| OaiIdDomain ($NewValue=NULL)
| OaiIdPrefix ($NewValue=NULL)
| OaiEarliestDate ($NewValue=NULL)
| OaiDateGranularity ($NewValue=NULL)
| SiteKeywords ($NewValue=NULL)
| AboutText ($NewValue=NULL)
| ContactName ($NewValue=NULL)
| ContactEmail ($NewValue=NULL)
| Organization ($NewValue=NULL)
| OrganizationType ($NewValue=NULL)
| SiteType ($NewValue=NULL)
| OkayToListSite ($NewValue=NULL)
| LastRegisteredOn ($NewValue=NULL)
| AddAWStatsScript ($NewValue=NULL)
| AddGoogleAnalytics ($NewValue=NULL)
| GoogleAnalyticsCode ($NewValue=NULL)
| DisplayLimitsByDefault ($NewValue=NULL)
| LogoFileName ()
| LogoAltText ()
| LogoWidth ()
| LogoHeight ()
| HasRegistered ()
| UpdateValue ($FieldName, $NewValue)
| AccessDBValue ($FieldName, $NewValue)
## Public Attributes
| $TopLinkString
| $TopLinkBeginLetter
| $TopLinkEndLetter
| $AdminEmail
| $PasswordMailSubject
| $PasswordMailBody
| $PortalName
| $DefaultActiveUI
| $CurrentTheme
| $DefaultCharacterSet
| $NumClassesPerBrowsePage
| $NumColumnsPerBrowsePage
| $BrowsingFieldId
| $SearchTermsRequired
| $AnnouncementsEnabled
| $ForumsEnabled
| $AllowMultipleUIsEnabled
| $ResourceLaunchesNewWindow
| $UserAgentsEnabled
| $ResourceRatingsEnabled
| $ResourceCommentsEnabled
| $AccessibilityWizardEnabled
| $ReleaseFlagApproved
| $SearchDBEnabled
| $RecommenderDBEnabled
| $OAISQEnabled
| $NumAnnounceOnHomePage
| $NumResourcesOnHomePage
| $LegalNotice
| $OaiIdDomain
| $OaiIdPrefix
| $OaiEarliestDate
| $OaiDateGranularity
| $LogoFileName
| $LogoAltText
| $LogoWidth
| $LogoHeight
| $SiteKeywords
| $AboutText
| $ContactName
| $ContactEmail
| $Organization
| $OrganizationType
| $SiteType
| $OkayToListSite
| $LastRegisteredOn
| $AddAWStatsScript
| $AddGoogleAnalytics
| $GoogleAnalyticsCode
| $DisplayLimitsByDefault
| $DBFields
| $DB

## Detailed Description

Definition at line 3 of file SystemConfiguration.php.

## Member Function Documentation

SystemConfiguration::AboutText | ( | $ | NewValue = `NULL` | ) |

Definition at line 122 of file SystemConfiguration.php.

References AccessDBValue().

Referenced by SystemConfiguration().

Here is the caller graph for this function:

SystemConfiguration::AccessDBValue | ( | $ | FieldName,
|  | $ | NewValue |
| ) |  |  |

Definition at line 205 of file SystemConfiguration.php.

References $DB.

Referenced by AboutText(), AccessibilityWizardEnabled(), AddAWStatsScript(), AddGoogleAnalytics(), AdminEmail(), AllowMultipleUIsEnabled(), AnnouncementsEnabled(), BrowsingFieldId(), ContactEmail(), ContactName(), CurrentTheme(), DefaultActiveUI(), DefaultCharacterSet(), DisplayLimitsByDefault(), ForumsEnabled(), GoogleAnalyticsCode(), LastRegisteredOn(), LegalNotice(), NumAnnounceOnHomePage(), NumClassesPerBrowsePage(), NumColumnsPerBrowsePage(), NumResourcesOnHomePage(), OaiDateGranularity(), OaiEarliestDate(), OaiIdDomain(), OaiIdPrefix(), OAISQEnabled(), OkayToListSite(), Organization(), OrganizationType(), PasswordMailBody(), PasswordMailSubject(), PortalName(), RecommenderDBEnabled(), ReleaseFlagApproved(), ResourceCommentsEnabled(), ResourceLaunchesNewWindowEnabled(), ResourceRatingsEnabled(), SearchDBEnabled(), SearchTermsRequired(), SiteKeywords(), SiteType(), TopLinkBeginLetter(), TopLinkEndLetter(), TopLinkString(), and UserAgentsEnabled().

Here is the caller graph for this function:

SystemConfiguration::AccessibilityWizardEnabled | ( | $ | NewValue = `NULL` | ) |

Definition at line 94 of file SystemConfiguration.php.

References AccessDBValue().

Referenced by SystemConfiguration().

Here is the caller graph for this function:

SystemConfiguration::AddAWStatsScript | ( | $ | NewValue = `NULL` | ) |

Definition at line 131 of file SystemConfiguration.php.

References AccessDBValue().

Referenced by SystemConfiguration().

Here is the caller graph for this function:

SystemConfiguration::AddGoogleAnalytics | ( | $ | NewValue = `NULL` | ) |

Definition at line 132 of file SystemConfiguration.php.

References AccessDBValue().

Referenced by SystemConfiguration().

Here is the caller graph for this function:

SystemConfiguration::AdminEmail | ( | $ | NewValue = `NULL` | ) |

Definition at line 77 of file SystemConfiguration.php.

References AccessDBValue().

Referenced by SystemConfiguration().

Here is the caller graph for this function:

SystemConfiguration::AllowMultipleUIsEnabled | ( | $ | NewValue = `NULL` | ) |

Definition at line 89 of file SystemConfiguration.php.

References AccessDBValue().

Referenced by SystemConfiguration().

Here is the caller graph for this function:

SystemConfiguration::AnnouncementsEnabled | ( | $ | NewValue = `NULL` | ) |

Definition at line 87 of file SystemConfiguration.php.

References AccessDBValue().

Referenced by SystemConfiguration().

Here is the caller graph for this function:

SystemConfiguration::BrowsingFieldId | ( | $ | NewValue = `NULL` | ) |

Definition at line 116 of file SystemConfiguration.php.

References AccessDBValue().

Referenced by SystemConfiguration().

Here is the caller graph for this function:

SystemConfiguration::ContactEmail | ( | $ | NewValue = `NULL` | ) |

Definition at line 125 of file SystemConfiguration.php.

References AccessDBValue().

Referenced by SystemConfiguration().

Here is the caller graph for this function:

SystemConfiguration::ContactName | ( | $ | NewValue = `NULL` | ) |

Definition at line 124 of file SystemConfiguration.php.

References AccessDBValue().

Referenced by SystemConfiguration().

Here is the caller graph for this function:

SystemConfiguration::CurrentTheme | ( | $ | NewValue = `NULL` | ) |

Definition at line 84 of file SystemConfiguration.php.

References AccessDBValue().

Referenced by SystemConfiguration().

Here is the caller graph for this function:

SystemConfiguration::DefaultActiveUI | ( | $ | NewValue = `NULL` | ) |

Definition at line 83 of file SystemConfiguration.php.

References AccessDBValue().

Referenced by SystemConfiguration().

Here is the caller graph for this function:

SystemConfiguration::DefaultCharacterSet | ( | $ | NewValue = `NULL` | ) |

Definition at line 85 of file SystemConfiguration.php.

References AccessDBValue().

Referenced by SystemConfiguration().

Here is the caller graph for this function:

SystemConfiguration::DisplayLimitsByDefault | ( | $ | NewValue = `NULL` | ) |

Definition at line 134 of file SystemConfiguration.php.

References AccessDBValue().

Referenced by SystemConfiguration().

Here is the caller graph for this function:

SystemConfiguration::ForumsEnabled | ( | $ | NewValue = `NULL` | ) |

Definition at line 88 of file SystemConfiguration.php.

References AccessDBValue().

Referenced by SystemConfiguration().

Here is the caller graph for this function:

SystemConfiguration::GoogleAnalyticsCode | ( | $ | NewValue = `NULL` | ) |

Definition at line 133 of file SystemConfiguration.php.

References AccessDBValue().

Referenced by SystemConfiguration().

Here is the caller graph for this function:

SystemConfiguration::HasRegistered | ( |  | ) |

Definition at line 141 of file SystemConfiguration.php.

References LastRegisteredOn().

SystemConfiguration::LastRegisteredOn | ( | $ | NewValue = `NULL` | ) |

Definition at line 130 of file SystemConfiguration.php.

References AccessDBValue().

Referenced by HasRegistered(), and SystemConfiguration().

Here is the caller graph for this function:

SystemConfiguration::LegalNotice | ( | $ | NewValue = `NULL` | ) |

Definition at line 101 of file SystemConfiguration.php.

References AccessDBValue().

Referenced by SystemConfiguration().

Here is the caller graph for this function:

SystemConfiguration::LogoAltText | ( |  | ) |

Definition at line 137 of file SystemConfiguration.php.

Referenced by SystemConfiguration().

Here is the caller graph for this function:

SystemConfiguration::LogoFileName | ( |  | ) |

Definition at line 136 of file SystemConfiguration.php.

Referenced by SystemConfiguration().

Here is the caller graph for this function:

SystemConfiguration::LogoHeight | ( |  | ) |

Definition at line 139 of file SystemConfiguration.php.

Referenced by SystemConfiguration().

Here is the caller graph for this function:

SystemConfiguration::LogoWidth | ( |  | ) |

Definition at line 138 of file SystemConfiguration.php.

Referenced by SystemConfiguration().

Here is the caller graph for this function:

SystemConfiguration::NumAnnounceOnHomePage | ( | $ | NewValue = `NULL` | ) |

Definition at line 99 of file SystemConfiguration.php.

References AccessDBValue().

Referenced by SystemConfiguration().

Here is the caller graph for this function:

SystemConfiguration::NumClassesPerBrowsePage | ( | $ | NewValue = `NULL` | ) |

Definition at line 102 of file SystemConfiguration.php.

References $DB, AccessDBValue(), and TopLinkString().

Referenced by SystemConfiguration().

Here is the caller graph for this function:

SystemConfiguration::NumColumnsPerBrowsePage | ( | $ | NewValue = `NULL` | ) |

Definition at line 115 of file SystemConfiguration.php.

References AccessDBValue().

Referenced by SystemConfiguration().

Here is the caller graph for this function:

SystemConfiguration::NumResourcesOnHomePage | ( | $ | NewValue = `NULL` | ) |

Definition at line 100 of file SystemConfiguration.php.

References AccessDBValue().

Referenced by SystemConfiguration().

Here is the caller graph for this function:

SystemConfiguration::OaiDateGranularity | ( | $ | NewValue = `NULL` | ) |

Definition at line 120 of file SystemConfiguration.php.

References AccessDBValue().

Referenced by SystemConfiguration().

Here is the caller graph for this function:

SystemConfiguration::OaiEarliestDate | ( | $ | NewValue = `NULL` | ) |

Definition at line 119 of file SystemConfiguration.php.

References AccessDBValue().

Referenced by SystemConfiguration().

Here is the caller graph for this function:

SystemConfiguration::OaiIdDomain | ( | $ | NewValue = `NULL` | ) |

Definition at line 117 of file SystemConfiguration.php.

References AccessDBValue().

Referenced by SystemConfiguration().

Here is the caller graph for this function:

SystemConfiguration::OaiIdPrefix | ( | $ | NewValue = `NULL` | ) |

Definition at line 118 of file SystemConfiguration.php.

References AccessDBValue().

Referenced by SystemConfiguration().

Here is the caller graph for this function:

SystemConfiguration::OAISQEnabled | ( | $ | NewValue = `NULL` | ) |

Definition at line 98 of file SystemConfiguration.php.

References AccessDBValue().

Referenced by SystemConfiguration().

Here is the caller graph for this function:

SystemConfiguration::OkayToListSite | ( | $ | NewValue = `NULL` | ) |

Definition at line 129 of file SystemConfiguration.php.

References AccessDBValue().

Referenced by SystemConfiguration().

Here is the caller graph for this function:

SystemConfiguration::Organization | ( | $ | NewValue = `NULL` | ) |

Definition at line 126 of file SystemConfiguration.php.

References AccessDBValue().

Referenced by SystemConfiguration().

Here is the caller graph for this function:

SystemConfiguration::OrganizationType | ( | $ | NewValue = `NULL` | ) |

Definition at line 127 of file SystemConfiguration.php.

References AccessDBValue().

Referenced by SystemConfiguration().

Here is the caller graph for this function:

SystemConfiguration::PasswordMailBody | ( | $ | NewValue = `NULL` | ) |

Definition at line 79 of file SystemConfiguration.php.

References AccessDBValue().

Referenced by SystemConfiguration().

Here is the caller graph for this function:

SystemConfiguration::PasswordMailSubject | ( | $ | NewValue = `NULL` | ) |

Definition at line 78 of file SystemConfiguration.php.

References AccessDBValue().

Referenced by SystemConfiguration().

Here is the caller graph for this function:

SystemConfiguration::PasswordResetMailBody | ( | $ | NewValue = `DB_NOVALUE` | ) |

Definition at line 81 of file SystemConfiguration.php.

References UpdateValue().

SystemConfiguration::PasswordResetMailSubject | ( | $ | NewValue = `DB_NOVALUE` | ) |

Definition at line 80 of file SystemConfiguration.php.

References UpdateValue().

SystemConfiguration::PortalName | ( | $ | NewValue = `NULL` | ) |

Definition at line 82 of file SystemConfiguration.php.

References AccessDBValue().

Referenced by SystemConfiguration().

Here is the caller graph for this function:

SystemConfiguration::RecommenderDBEnabled | ( | $ | NewValue = `NULL` | ) |

Definition at line 97 of file SystemConfiguration.php.

References AccessDBValue().

Referenced by SystemConfiguration().

Here is the caller graph for this function:

SystemConfiguration::ReleaseFlagApproved | ( | $ | NewValue = `NULL` | ) |

Definition at line 95 of file SystemConfiguration.php.

References AccessDBValue().

Referenced by SystemConfiguration().

Here is the caller graph for this function:

SystemConfiguration::ResourceCommentsEnabled | ( | $ | NewValue = `NULL` | ) |

Definition at line 93 of file SystemConfiguration.php.

References AccessDBValue().

Referenced by SystemConfiguration().

Here is the caller graph for this function:

SystemConfiguration::ResourceLaunchesNewWindowEnabled | ( | $ | NewValue = `NULL` | ) |

Definition at line 90 of file SystemConfiguration.php.

References AccessDBValue().

Referenced by SystemConfiguration().

Here is the caller graph for this function:

SystemConfiguration::ResourceRatingsEnabled | ( | $ | NewValue = `NULL` | ) |

Definition at line 92 of file SystemConfiguration.php.

References AccessDBValue().

Referenced by SystemConfiguration().

Here is the caller graph for this function:

SystemConfiguration::SearchDBEnabled | ( | $ | NewValue = `NULL` | ) |

Definition at line 96 of file SystemConfiguration.php.

References AccessDBValue().

Referenced by SystemConfiguration().

Here is the caller graph for this function:

SystemConfiguration::SearchTermsRequired | ( | $ | NewValue = `NULL` | ) |

Definition at line 86 of file SystemConfiguration.php.

References AccessDBValue().

Referenced by SystemConfiguration().

Here is the caller graph for this function:

SystemConfiguration::SiteKeywords | ( | $ | NewValue = `NULL` | ) |

Definition at line 121 of file SystemConfiguration.php.

References AccessDBValue().

Referenced by SystemConfiguration().

Here is the caller graph for this function:

SystemConfiguration::SiteType | ( | $ | NewValue = `NULL` | ) |

Definition at line 128 of file SystemConfiguration.php.

References AccessDBValue().

Referenced by SystemConfiguration().

Here is the caller graph for this function:

SystemConfiguration::SystemConfiguration | ( | $ | DB = `NULL` | ) |

Definition at line 8 of file SystemConfiguration.php.

References AboutText(), AccessibilityWizardEnabled(), AddAWStatsScript(), AddGoogleAnalytics(), AdminEmail(), AllowMultipleUIsEnabled(), AnnouncementsEnabled(), BrowsingFieldId(), ContactEmail(), ContactName(), CurrentTheme(), DefaultActiveUI(), DefaultCharacterSet(), DisplayLimitsByDefault(), ForumsEnabled(), GoogleAnalyticsCode(), LastRegisteredOn(), LegalNotice(), LogoAltText(), LogoFileName(), LogoHeight(), LogoWidth(), NumAnnounceOnHomePage(), NumClassesPerBrowsePage(), NumColumnsPerBrowsePage(), NumResourcesOnHomePage(), OaiDateGranularity(), OaiEarliestDate(), OaiIdDomain(), OaiIdPrefix(), OAISQEnabled(), OkayToListSite(), Organization(), OrganizationType(), PasswordMailBody(), PasswordMailSubject(), PortalName(), RecommenderDBEnabled(), ReleaseFlagApproved(), ResourceCommentsEnabled(), ResourceLaunchesNewWindowEnabled(), ResourceRatingsEnabled(), SearchDBEnabled(), SearchTermsRequired(), SiteKeywords(), SiteType(), TopLinkBeginLetter(), TopLinkEndLetter(), TopLinkString(), and UserAgentsEnabled().

SystemConfiguration::TopLinkBeginLetter | ( | $ | NewValue = `NULL` | ) |

Definition at line 75 of file SystemConfiguration.php.

References AccessDBValue().

Referenced by SystemConfiguration().

Here is the caller graph for this function:

SystemConfiguration::TopLinkEndLetter | ( | $ | NewValue = `NULL` | ) |

Definition at line 76 of file SystemConfiguration.php.

References AccessDBValue().

Referenced by SystemConfiguration().

Here is the caller graph for this function:

SystemConfiguration::TopLinkString | ( | $ | NewValue = `NULL` | ) |

Definition at line 74 of file SystemConfiguration.php.

References AccessDBValue().

Referenced by NumClassesPerBrowsePage(), and SystemConfiguration().

Here is the caller graph for this function:

SystemConfiguration::UpdateValue | ( | $ | FieldName,
|  | $ | NewValue |
| ) |  |  |

Definition at line 199 of file SystemConfiguration.php.

Referenced by PasswordResetMailBody(), and PasswordResetMailSubject().

Here is the caller graph for this function:

SystemConfiguration::UserAgentsEnabled | ( | $ | NewValue = `NULL` | ) |

Definition at line 91 of file SystemConfiguration.php.

References AccessDBValue().

Referenced by SystemConfiguration().

Here is the caller graph for this function:

## Member Data Documentation

SystemConfiguration::$AboutText

Definition at line 184 of file SystemConfiguration.php.

SystemConfiguration::$AccessibilityWizardEnabled

Definition at line 167 of file SystemConfiguration.php.

SystemConfiguration::$AddAWStatsScript

Definition at line 192 of file SystemConfiguration.php.

SystemConfiguration::$AddGoogleAnalytics

Definition at line 193 of file SystemConfiguration.php.

SystemConfiguration::$AdminEmail

Definition at line 149 of file SystemConfiguration.php.

SystemConfiguration::$AllowMultipleUIsEnabled

Definition at line 162 of file SystemConfiguration.php.

SystemConfiguration::$AnnouncementsEnabled

Definition at line 160 of file SystemConfiguration.php.

SystemConfiguration::$BrowsingFieldId

Definition at line 158 of file SystemConfiguration.php.

SystemConfiguration::$ContactEmail

Definition at line 186 of file SystemConfiguration.php.

SystemConfiguration::$ContactName

Definition at line 185 of file SystemConfiguration.php.

SystemConfiguration::$CurrentTheme

Definition at line 154 of file SystemConfiguration.php.

SystemConfiguration::$DB

Definition at line 197 of file SystemConfiguration.php.

Referenced by AccessDBValue(), and NumClassesPerBrowsePage().

SystemConfiguration::$DBFields

Definition at line 196 of file SystemConfiguration.php.

SystemConfiguration::$DefaultActiveUI

Definition at line 153 of file SystemConfiguration.php.

SystemConfiguration::$DefaultCharacterSet

Definition at line 155 of file SystemConfiguration.php.

SystemConfiguration::$DisplayLimitsByDefault

Definition at line 195 of file SystemConfiguration.php.

SystemConfiguration::$ForumsEnabled

Definition at line 161 of file SystemConfiguration.php.

SystemConfiguration::$GoogleAnalyticsCode

Definition at line 194 of file SystemConfiguration.php.

SystemConfiguration::$LastRegisteredOn

Definition at line 191 of file SystemConfiguration.php.

SystemConfiguration::$LegalNotice

Definition at line 174 of file SystemConfiguration.php.

SystemConfiguration::$LogoAltText

Definition at line 180 of file SystemConfiguration.php.

SystemConfiguration::$LogoFileName

Definition at line 179 of file SystemConfiguration.php.

SystemConfiguration::$LogoHeight

Definition at line 182 of file SystemConfiguration.php.

SystemConfiguration::$LogoWidth

Definition at line 181 of file SystemConfiguration.php.

SystemConfiguration::$NumAnnounceOnHomePage

Definition at line 172 of file SystemConfiguration.php.

SystemConfiguration::$NumClassesPerBrowsePage

Definition at line 156 of file SystemConfiguration.php.

SystemConfiguration::$NumColumnsPerBrowsePage

Definition at line 157 of file SystemConfiguration.php.

SystemConfiguration::$NumResourcesOnHomePage

Definition at line 173 of file SystemConfiguration.php.

SystemConfiguration::$OaiDateGranularity

Definition at line 178 of file SystemConfiguration.php.

SystemConfiguration::$OaiEarliestDate

Definition at line 177 of file SystemConfiguration.php.

SystemConfiguration::$OaiIdDomain

Definition at line 175 of file SystemConfiguration.php.

SystemConfiguration::$OaiIdPrefix

Definition at line 176 of file SystemConfiguration.php.

SystemConfiguration::$OAISQEnabled

Definition at line 171 of file SystemConfiguration.php.

SystemConfiguration::$OkayToListSite

Definition at line 190 of file SystemConfiguration.php.

SystemConfiguration::$Organization

Definition at line 187 of file SystemConfiguration.php.

SystemConfiguration::$OrganizationType

Definition at line 188 of file SystemConfiguration.php.

SystemConfiguration::$PasswordMailBody

Definition at line 151 of file SystemConfiguration.php.

SystemConfiguration::$PasswordMailSubject

Definition at line 150 of file SystemConfiguration.php.

SystemConfiguration::$PortalName

Definition at line 152 of file SystemConfiguration.php.

SystemConfiguration::$RecommenderDBEnabled

Definition at line 170 of file SystemConfiguration.php.

SystemConfiguration::$ReleaseFlagApproved

Definition at line 168 of file SystemConfiguration.php.

SystemConfiguration::$ResourceCommentsEnabled

Definition at line 166 of file SystemConfiguration.php.

SystemConfiguration::$ResourceLaunchesNewWindow

Definition at line 163 of file SystemConfiguration.php.

SystemConfiguration::$ResourceRatingsEnabled

Definition at line 165 of file SystemConfiguration.php.

SystemConfiguration::$SearchDBEnabled

Definition at line 169 of file SystemConfiguration.php.

SystemConfiguration::$SearchTermsRequired

Definition at line 159 of file SystemConfiguration.php.

SystemConfiguration::$SiteKeywords

Definition at line 183 of file SystemConfiguration.php.

SystemConfiguration::$SiteType

Definition at line 189 of file SystemConfiguration.php.

SystemConfiguration::$TopLinkBeginLetter

Definition at line 147 of file SystemConfiguration.php.

SystemConfiguration::$TopLinkEndLetter

Definition at line 148 of file SystemConfiguration.php.

SystemConfiguration::$TopLinkString

Definition at line 146 of file SystemConfiguration.php.

SystemConfiguration::$UserAgentsEnabled

Definition at line 164 of file SystemConfiguration.php.

The documentation for this class was generated from the following file:

- SystemConfiguration.php